Kiosk CurrentRecords Associations

Use this API to retrieve all the associations configured for the CurrentRecord lookup field in a specific Kiosk. It returns the list of associated resources, including their sequence, name, and ID, that are linked to the CurrentRecord in the Kiosk setup.

Purpose

To retrieve the associations configured for the CurrentRecord field in a Kiosk.

Use the Get All Kiosks API to retrieve the Kiosk ID. 

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • GET /settings/kiosks/{kiosk_ID}/current_record/associations

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}/current_record/associations

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.READ
(or)
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000010015021/current_record/associations"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON

The current_record JSON array contains the associations configured for the CurrentRecord in the Kiosk.

  • idstring

    The unique ID of the CurrentRecord lookup field configured in the Kiosk.

  • _associationsJSON array

    Lists all associations configured for the CurrentRecord.

    • typestring

      Specifies the type of association. 

      Possible values: get_records, data_hubs, kiosk_states, email_templates, create_record, add_meeting, convert, schedule_call, field_updates, add_note, open_link, wf_alerts, functions, webhooks, wf_tasks.

    • resourcesJSON array

      Contains the list of resources linked through this association.

      • namestring

        The name of the associated resource.

      • idstring

        The unique ID of the associated resource.

      • _detailsJSON object

        Represents additional metadata about the resource.

        • typestring

          Specifies the type of the resource. 

          Possible values: get_records, screen, rules

Note

  • The response includes all associations defined for the CurrentRecord in the specified Kiosk.
  • Each association may contain one or more resources with details such as sequence number, name, and ID.

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid ID has been given
    Resolution: Specify a valid Kiosk ID. Use the Get All Kiosks API to retrieve the Kiosk ID.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details. 

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to retrieve the Kiosk GetRecords association details. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "current_record": [
        {
            "_associations": [
                {
                    "resources": [
                        {
                            "name": "Important Lead",
                            "id": "5725767000010194238",
                            "_details": {
                                "type": "action"
                            }
                        }
                    ],
                    "type": "kiosk_states"
                }
            ],
            "id": "5725767000010194222"
        }
    ]
}